-- DebugConsoleCommands.lua
-- author: pavll
-- date: 19.03.2020
-- Copyright 2020

DebugConsoleCommands = {};
local DebugConsoleCommands_mt = Class(DebugConsoleCommands)

function DebugConsoleCommands:new(owner)
	if g_absMod == nil then
        return
    end

	local self = {}
	setmetatable(self, DebugConsoleCommands_mt)

	self.owner = owner
	self.isClient = owner.isClient
	self.isServer = owner.isServer

	addConsoleCommand("activateABS", "A console command for activateing automatic blinker(turnlight) stop", 
		"consoleCommandActivateABS", self)
	addConsoleCommand("deactivateABS", "A console command for deactivateing automatic blinker(turnlight) stop", 
		"consoleCommandDeactivateABS", self)
	addConsoleCommand("getABSStatus", "Printing current status of the ABS-System", "consoleCommandStatus", self)

	return self
end;

function DebugConsoleCommands:delete()
	removeConsoleCommand("deactivateABS")

	--[[powered if the main mod is not nil because then 
		the debugConsoleCommands have to be set to nil]]
	if g_absMod ~= nil then
		g_absMod.debugConsoleCommands = nil
	end
end;

function DebugConsoleCommands:consoleCommandActivateABS()
	if ABSMod.ENABLE_ABS ~= true then ABSMod.ENABLE_ABS = true; print("AutoBlinker(turn light)Stop: active"); end;
end;

function DebugConsoleCommands:consoleCommandDeactivateABS()
	if ABSMod.ENABLE_ABS ~= false then ABSMod.ENABLE_ABS = false; print("AutoBlinker(turn light)Stop: deactive"); end;
end;

function DebugConsoleCommands:consoleCommandStatus()
	local status = "deactive"

	if ABSMod.ENABLE_ABS then
		status = "active"
	end

	print("AutoBlinker(turn light)Stop: " .. status);
end;